## freshplayerplugin 0.3.2

=== CMakeLists.txt ===
project(freshplayerplugin)
cmake_minimum_required(VERSION 2.8.8)

# setup compiler flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -fPIC -fvisibility=hidden -pthread")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=format-security")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=implicit-function-declaration")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -fvisibility=hidden -pthread")
#set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror=format-security")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=implicit-function-declaration")

# add missing NDEBUG in RelWithDebugInfo
set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -DNDEBUG -g3")
set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELWITHDEBINFO} -DNDEBUG -g3")

# generate more debug info for Debug build type
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g3")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -g3")

# find Ragel
find_program(RAGEL ragel)
if (${RAGEL} STREQUAL "RAGEL-NOTFOUND")
    message(FATAL_ERROR "Ragel State Machine Compiler not found")
endif()

# dependencies
find_package(PkgConfig REQUIRED)
pkg_check_modules(REQ
    alsa
    glib-2.0
    gio-2.0
    x11
    xrandr
    xrender
    xcursor
    gl
    libconfig
    libdrm
    libevent
    libevent_pthreads
    cairo
    pango
    pangocairo
    pangoft2
    freetype2
    openssl
    REQUIRED)

# libdl.so, librt.so, and libm.so
list(APPEND REQ_LIBRARIES dl rt m)

# select GTK+ version
set(WITH_GTK 2 CACHE INTEGER "select GTK+ major version to link with (2 or 3)")
if (WITH_GTK EQUAL 2)
    pkg_check_modules(GTK gtk+-2.0 REQUIRED)
elseif (WITH_GTK EQUAL 3)
    pkg_check_modules(GTK gtk+-3.0 REQUIRED)
else()
    message(FATAL_ERROR "Unsupported GTK+ version ${GTK_VERSION}")
endif()
list(APPEND REQ_LIBRARY_DIRS ${GTK_LIBRARY_DIRS})
list(APPEND REQ_INCLUDE_DIRS ${GTK_INCLUDE_DIRS})
list(APPEND REQ_LIBRARIES    ${GTK_LIBRARIES})

# OpenGL ES 2
set(WITH_GLES2 TRUE CACHE STRING "use system libGLESv2")
if (WITH_GLES2)
    pkg_check_modules(GLES2 glesv2 REQUIRED)
    add_definitions(-DHAVE_GLES2=1)
    list(APPEND REQ_LIBRARY_DIRS ${GLES2_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${GLES2_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${GLES2_LIBRARIES})
else()
    # otherwise ANGLE will be used for shader translation
endif()

# optional dependencies
message(STATUS "checking for optional dependencies")

pkg_check_modules(PULSEAUDIO QUIET libpulse)
pkg_check_modules(JACK QUIET jack)
pkg_check_modules(SOXR QUIET soxr)
set(WITH_PULSEAUDIO TRUE CACHE STRING "enable PulseAudio support")
set(WITH_JACK TRUE CACHE STRING "enable JACK Audio Connection Kit")

if (PULSEAUDIO_FOUND AND WITH_PULSEAUDIO)
    add_definitions(-DHAVE_PULSEAUDIO=1)
    message(STATUS "  found libpulse, version ${PULSEAUDIO_VERSION} (optional)")
    list(APPEND REQ_LIBRARY_DIRS ${PULSEAUDIO_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${PULSEAUDIO_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${PULSEAUDIO_LIBRARIES})
else()
    message(STATUS "  no libpulse found (optional)")
endif()

if (JACK_FOUND AND WITH_JACK)
    message(STATUS "  found jack, version ${JACK_VERSION} (optional)")
    if (SOXR_FOUND)
        message(STATUS "  found soxr, version ${SOXR_VERSION}")
        add_definitions(-DHAVE_JACK=1)
        list(APPEND REQ_LIBRARY_DIRS "${JACK_LIBRARY_DIRS}" "${SOXR_LIBRARY_DIRS}")
        list(APPEND REQ_INCLUDE_DIRS "${JACK_INCLUDE_DIRS}" "${SOXR_INCLUDE_DIRS}")
        list(APPEND REQ_LIBRARIES    "${JACK_LIBRARIES}" "${SOXR_LIBRARIES}")
    else()
        message(STATUS "  no soxr found, JACK output disabled")
    endif()
else()
    message(STATUS "  no jack found (optional)")
endif()

# hw accelerated decoding
set(WITH_HWDEC TRUE CACHE STRING "enable hw accelerated decoding")
if (WITH_HWDEC)
    pkg_check_modules(HWDEC libavcodec libavutil libva libva-x11 vdpau REQUIRED)
    list(APPEND REQ_LIBRARY_DIRS ${HWDEC_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${HWDEC_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${HWDEC_LIBRARIES})
    add_subdirectory(cmake/ffmpeg-compat)
    include_directories("${CMAKE_BINARY_DIR}")
endif()

# using libv4l2 for colorspace conversion
set(WITH_LIBV4L2 TRUE CACHE STRING "use libv4l2 for colorspace conversion")
if (WITH_LIBV4L2)
    add_definitions(-DHAVE_LIBV4L2=1)
    pkg_check_modules(LIBV4L2 libv4l2 REQUIRED)
    list(APPEND REQ_LIBRARY_DIRS ${LIBV4L2_LIBRARY_DIRS})
    list(APPEND REQ_INCLUDE_DIRS ${LIBV4L2_INCLUDE_DIRS})
    list(APPEND REQ_LIBRARIES    ${LIBV4L2_LIBRARIES})
else()
    add_definitions(-DHAVE_LIBV4L2=0)
endif()

list(APPEND REQ_LIBRARIES img-resources)

include_directories(${REQ_INCLUDE_DIRS})
link_directories(${REQ_LIBRARY_DIRS})
add_definitions(${REQ_CFLAGS_OTHER})
add_definitions(-DXP_UNIX)

include_directories(3rdparty)
if (NOT WITH_GLES2)
    include_directories(3rdparty/angle/include)
    list(APPEND REQ_LIBRARIES shader_translator)
endif()

add_subdirectory(3rdparty)
add_subdirectory(resources)
add_subdirectory(src)
add_subdirectory(tests)

=== resources/CMakeLists.txt ===
set(GENERATED_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR} PARENT_SCOPE)
file(GLOB pictogram_list ${CMAKE_SOURCE_DIR}/3rdparty/chromium/default_100_percent/common/pdf/*.png)
string(REPLACE ";" " " pictograms "${pictogram_list}")

set(CCBD "${CMAKE_CURRENT_BINARY_DIR}")

add_custom_command(
    OUTPUT "${CCBD}/img_resources.h" "${CCBD}/img_resources.c"
    COMMAND "${CCBD}/img_resource_compiler" "${CCBD}/img_resources.h" "${CCBD}/img_resources.c"
            ${pictogram_list}
    DEPENDS ${pictogram_list} img_resource_compiler
)

add_custom_target(img-resource-srcs DEPENDS "${CCBD}/img_resources.h" "${CCBD}/img_resources.c")
add_executable(img_resource_compiler img_resource_compiler.c)
add_library(img-resources STATIC "${CCBD}/img_resources.c")
add_dependencies(img-resources img-resource-srcs)

=== src/CMakeLists.txt ===
set(TRACE_ALL 0 CACHE BOOLEAN "Enable tracing implemented functions")
if(${TRACE_ALL})
    add_definitions(-DTRACE_ALL)
endif()

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

add_subdirectory(uri_parser)

include_directories("${GENERATED_INCLUDE_DIRS}")

set(source_list
    async_network.c
    audio_thread.c
    audio_thread_alsa.c
    config.c
    compat.c
    font.c
    header_parser.c
    keycodeconvert.c
    np_entry.c
    np_functions.c
    main_thread.c
    reverse_constant.c
    tables.c
    trace.c
    n2p_proxy_class.c
    p2n_proxy_class.c
    pp_interface.c
    pp_resource.c
    ppb_core.c
    ppb_audio_config.c
    ppb_audio_input.c
    ppb_audio.c
    ppb_browser_font.c
    ppb_buffer.c
    ppb_char_set.c
    ppb_crypto.c
    ppb_cursor_control.c
    ppb_device_ref.c
    ppb_file_chooser.c
    ppb_file_io.c
    ppb_file_ref.c
    ppb_flash_clipboard.c
    ppb_flash_drm.c
    ppb_flash_file.c
    ppb_flash_font_file.c
    ppb_flash_fullscreen.c
    ppb_flash.c
    ppb_flash_menu.c
    ppb_flash_message_loop.c
    ppb_font.c
    ppb_graphics2d.c
    ppb_graphics3d.c
    ppb_host_resolver.c
    ppb_image_data.c
    ppb_input_event.c
    ppb_instance.c
    ppb_memory.c
    ppb_message_loop.c
    ppb_messaging.c
    ppb_net_address.c
    ppb_network_monitor.c
    ppb_opengles2.c
    ppb_pdf.c
    ppb_printing.c
    ppb_scrollbar.c
    ppb_tcp_socket.c
    ppb_text_input_controller.c
    ppb_text_input.c
    ppb_udp_socket.c
    ppb_uma.c
    ppb_url_loader.c
    ppb_url_request_info.c
    ppb_url_response_info.c
    ppb_url_util.c
    ppb_var.c
    ppb_video_capture.c
    ppb_view.c
    ppb_widget.c
    ppb_x509_certificate.c
    ppb_zoom.c
    screensaver_control.c
    x11_event_thread.c
)

if (PULSEAUDIO_FOUND AND WITH_PULSEAUDIO)
    list(APPEND source_list audio_thread_pulseaudio.c)
endif()

if (JACK_FOUND AND SOXR_FOUND AND WITH_JACK)
    list(APPEND source_list audio_thread_jack.c)
endif()

if (NOT WITH_GLES2)
    list(APPEND source_list shader_translator.cc)
endif()

if (WITH_HWDEC)
    add_definitions(-DHAVE_HWDEC=1)
    list(APPEND source_list ppb_video_decoder.c)
else()
    add_definitions(-DHAVE_HWDEC=0)
endif()

add_library(freshwrapper-obj OBJECT ${source_list})
add_dependencies(freshwrapper-obj img-resources)

# ensure libfreshwrapper-*.so are linked with all libraries they use
add_executable(dep_check dep_check.c)
link_directories(${CMAKE_CURRENT_BINARY_DIR})

set(COMMON_OBJ_LIST
    $<TARGET_OBJECTS:freshwrapper-obj>
    $<TARGET_OBJECTS:parson-obj>
    $<TARGET_OBJECTS:uri-parser-obj>
)

# wrapper for PepperFlash
set(WITH_PEPPERFLASH TRUE CACHE STRING "generate wrapper for PepperFlash")
if (WITH_PEPPERFLASH)
    add_library(freshwrapper-pepperflash SHARED ${COMMON_OBJ_LIST} config_pepperflash.c)
    target_link_libraries(freshwrapper-pepperflash ${REQ_LIBRARIES})
    target_link_libraries(dep_check freshwrapper-pepperflash)
endif()

# wrapper for Native Client
set(WITH_NACL FALSE CACHE STRING "generate wrapper for Native Client")
if (WITH_NACL)
    add_library(freshwrapper-nacl SHARED ${COMMON_OBJ_LIST} config_nacl.c)
    target_link_libraries(freshwrapper-nacl ${REQ_LIBRARIES})
    target_link_libraries(dep_check freshwrapper-nacl)
endif()

# libpdf wrapper
set(WITH_LIBPDF FALSE CACHE STRING "generate wrapper for libpdf.so")
if (WITH_LIBPDF)
    add_library(freshwrapper-libpdf SHARED ${COMMON_OBJ_LIST} config_libpdf.c)
    target_link_libraries(freshwrapper-libpdf ${REQ_LIBRARIES})
    target_link_libraries(dep_check freshwrapper-libpdf)
endif()

=== tests/CMakeLists.txt ===
enable_testing()
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})

add_definitions(-DTEST_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

set(test_list
    test_header_parser
    test_ppb_char_set
    test_ppb_flash_file
    test_ppb_url_request_info
    test_ppb_x509_certificate
    test_uri_parser
)

link_directories(
    ${REQ_LIBRARY_DIRS}
)

# simplify inclusion of .c sources
include_directories(..)

foreach(item ${test_list})
    add_executable(${item} EXCLUDE_FROM_ALL
        ${item}.c
        $<TARGET_OBJECTS:freshwrapper-obj>
        $<TARGET_OBJECTS:parson-obj>
        $<TARGET_OBJECTS:uri-parser-obj>
        ../src/config_pepperflash.c
        common.c)
    target_link_libraries(${item}
        "-Wl,-z,muldefs"
        ${REQ_LIBRARIES})
    add_test(${item} ${item})
    add_dependencies(check ${item})
endforeach()

add_executable(util_glx_pixmap EXCLUDE_FROM_ALL util_glx_pixmap.c)
add_dependencies(check util_glx_pixmap)
target_link_libraries(util_glx_pixmap ${REQ_LIBRARIES})

=== 3rdparty/angle/CMakeLists.txt ===
include_directories(include)
include_directories(src)

add_library(shader_translator STATIC
    src/common/angleutils.cpp
    src/common/debug.cpp
    src/common/event_tracer.cpp
    src/common/mathutil.cpp
    src/common/MemoryBuffer.cpp
    src/common/tls.cpp
    src/common/utilities.cpp
    src/compiler/preprocessor/DiagnosticsBase.cpp
    src/compiler/preprocessor/DirectiveHandlerBase.cpp
    src/compiler/preprocessor/DirectiveParser.cpp
    src/compiler/preprocessor/ExpressionParser.cpp
    src/compiler/preprocessor/Input.cpp
    src/compiler/preprocessor/Lexer.cpp
    src/compiler/preprocessor/Macro.cpp
    src/compiler/preprocessor/MacroExpander.cpp
    src/compiler/preprocessor/Preprocessor.cpp
    src/compiler/preprocessor/Token.cpp
    src/compiler/preprocessor/Tokenizer.cpp
    src/compiler/translator/ArrayReturnValueToOutParameter.cpp
    src/compiler/translator/ASTMetadataHLSL.cpp
    src/compiler/translator/blocklayout.cpp
    src/compiler/translator/blocklayoutHLSL.cpp
    src/compiler/translator/BuiltInFunctionEmulator.cpp
    src/compiler/translator/BuiltInFunctionEmulatorGLSL.cpp
    src/compiler/translator/BuiltInFunctionEmulatorHLSL.cpp
    src/compiler/translator/CallDAG.cpp
    src/compiler/translator/CodeGen.cpp
    src/compiler/translator/Compiler.cpp
    src/compiler/translator/Diagnostics.cpp
    src/compiler/translator/DirectiveHandler.cpp
    src/compiler/translator/EmulatePrecision.cpp
    src/compiler/translator/FlagStd140Structs.cpp
    src/compiler/translator/ForLoopUnroll.cpp
    src/compiler/translator/glslang_lex.cpp
    src/compiler/translator/glslang_tab.cpp
    src/compiler/translator/InfoSink.cpp
    src/compiler/translator/Initialize.cpp
    src/compiler/translator/InitializeDll.cpp
    src/compiler/translator/InitializeParseContext.cpp
    src/compiler/translator/InitializeVariables.cpp
    src/compiler/translator/Intermediate.cpp
    src/compiler/translator/IntermNode.cpp
    src/compiler/translator/intermOut.cpp
    src/compiler/translator/IntermTraverse.cpp
    src/compiler/translator/LoopInfo.cpp
    src/compiler/translator/Operator.cpp
    src/compiler/translator/OutputESSL.cpp
    src/compiler/translator/OutputGLSLBase.cpp
    src/compiler/translator/OutputGLSL.cpp
    src/compiler/translator/OutputHLSL.cpp
    src/compiler/translator/parseConst.cpp
    src/compiler/translator/ParseContext.cpp
    src/compiler/translator/PoolAlloc.cpp
    src/compiler/translator/PruneEmptyDeclarations.cpp
    src/compiler/translator/QualifierAlive.cpp
    src/compiler/translator/RegenerateStructNames.cpp
    src/compiler/translator/RemoveSwitchFallThrough.cpp
    src/compiler/translator/RewriteElseBlocks.cpp
    src/compiler/translator/ScalarizeVecAndMatConstructorArgs.cpp
    src/compiler/translator/SearchSymbol.cpp
    src/compiler/translator/SeparateArrayInitialization.cpp
    src/compiler/translator/SeparateDeclarations.cpp
    src/compiler/translator/ShaderLang.cpp
    src/compiler/translator/ShaderVars.cpp
    src/compiler/translator/SimplifyArrayAssignment.cpp
    src/compiler/translator/StructureHLSL.cpp
    src/compiler/translator/SymbolTable.cpp
    src/compiler/translator/TranslatorESSL.cpp
    src/compiler/translator/TranslatorGLSL.cpp
    src/compiler/translator/TranslatorHLSL.cpp
    src/compiler/translator/Types.cpp
    src/compiler/translator/UnfoldShortCircuitAST.cpp
    src/compiler/translator/UnfoldShortCircuit.cpp
    src/compiler/translator/UniformHLSL.cpp
    src/compiler/translator/util.cpp
    src/compiler/translator/UtilsHLSL.cpp
    src/compiler/translator/ValidateLimitations.cpp
    src/compiler/translator/ValidateOutputs.cpp
    src/compiler/translator/ValidateSwitch.cpp
    src/compiler/translator/VariableInfo.cpp
    src/compiler/translator/VariablePacker.cpp
    src/compiler/translator/VersionGLSL.cpp
    src/compiler/translator/depgraph/DependencyGraphBuilder.cpp
    src/compiler/translator/depgraph/DependencyGraph.cpp
    src/compiler/translator/depgraph/DependencyGraphOutput.cpp
    src/compiler/translator/depgraph/DependencyGraphTraverse.cpp
    src/compiler/translator/timing/RestrictFragmentShaderTiming.cpp
    src/compiler/translator/timing/RestrictVertexShaderTiming.cpp
    src/third_party/compiler/ArrayBoundsClamper.cpp
)

add_executable(st samples/shader_translator/shader_translator.cpp)
target_link_libraries(st shader_translator)

=== cmake/ffmpeg-compat/CMakeLists.txt ===
# FFmpeg (libav) interface changes over time. Something new arises, something getting deprecated.
# This script checks some essential parts

include(CheckSymbolExists)
include(CheckCSourceCompiles)

set(CMAKE_REQUIRED_LIBRARIES "${REQ_LIBRARIES}")
set(CMAKE_REQUIRED_INCLUDES  "${REQ_INCLUDE_DIRS}")

macro(MACRO_C_SOURCE_CHECK FILE_NAME HAVE_variable)
    unset(${HAVE_variable} CACHE)
    file(READ ${FILE_NAME} C_SRC)
    CHECK_C_SOURCE_COMPILES("${C_SRC}" ${HAVE_variable})
    if (NOT ${HAVE_variable})
        set(${HAVE_variable} 0)
    endif()
endmacro()

macro(MACRO_SYMBOL_CHECK SYMBOL HEADER_FILE HAVE_variable)
    unset(${HAVE_variable} CACHE)
    CHECK_SYMBOL_EXISTS(${SYMBOL} ${HEADER_FILE} ${HAVE_variable})
    if (NOT ${HAVE_variable})
        set(${HAVE_variable} 0)
    endif()
endmacro()

MACRO_C_SOURCE_CHECK(cfg_avpixelformat.c HAVE_AVPixelFormat)
MACRO_C_SOURCE_CHECK(cfg_av_pix_fmt_vdpau.c HAVE_AV_PIX_FMT_VDPAU)
MACRO_C_SOURCE_CHECK(cfg_avcodecid.c HAVE_AVCodecID)
MACRO_C_SOURCE_CHECK(cfg_avcodeccontext_get_buffer2.c HAVE_AVCodecContext_get_buffer2)
MACRO_C_SOURCE_CHECK(cfg_AVVDPAUContext.c HAVE_AVVDPAUContext)

MACRO_SYMBOL_CHECK(av_frame_alloc "libavcodec/avcodec.h" HAVE_av_frame_alloc)
MACRO_SYMBOL_CHECK(av_frame_free "libavcodec/avcodec.h" HAVE_av_frame_free)
MACRO_SYMBOL_CHECK(avcodec_free_context "libavcodec/avcodec.h" HAVE_avcodec_free_context)

configure_file("ffmpeg-compat.h.in" "${CMAKE_BINARY_DIR}/ffmpeg-compat.h" @ONLY)

## freshplayerplugin 0.3.1

=== debian/changelog ===
freshplayerplugin (0.3.1-2) unstable; urgency=medium

  * Initial upload. (Closes: #775004: ITP: freshplayerplugin -- PPAPI-
    host NPAPI-plugin adapter)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 07 Jul 2015 09:55:54 +0200

freshplayerplugin (0.3.1-1) unstable; urgency=low

  * Initial private release

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 06 Jul 2015 21:44:33 +0200

=== debian/control ===
Source: freshplayerplugin
Section: contrib/web
Priority: optional
Maintainer: Vincent Danjean <vdanjean@debian.org>
Build-Depends: debhelper (>= 9), cmake,
 pkg-config, libglib2.0-dev, libasound2-dev, libx11-dev, libgl1-mesa-dev,
 liburiparser-dev, libcairo2-dev, libpango1.0-dev, libpangocairo-1.0-0,
 libpangoft2-1.0-0, libfreetype6-dev, libgtk2.0-dev, libxinerama-dev,
 libconfig-dev, libevent-dev, libegl1-mesa-dev, libgles2-mesa-dev, ragel,
 libssl-dev, libv4l-dev,
 libpulse-dev, libavcodec-dev, libavutil-dev, libva-dev, libvdpau-dev
Standards-Version: 3.9.6
Homepage: https://github.com/i-rinat/freshplayerplugin
Vcs-Git: git://anonscm.debian.org/collab-maint/freshplayerplugin.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/freshplayerplugin.git

Package: browser-plugin-freshplayer-pepperflash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: pepperflashplugin-nonfree
Description: PPAPI-host NPAPI-plugin adapter for pepperflash
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 Flash plugin for Linux provided by adobe stopped at version 11.2; for
 chrome/chromium users there is pepperflash plugin but it's not supported by
 firefox/iceweasel/other browsers.
 .
 This package allows one to use the Pepper Flash plugin from Chrome
 in NPAPI web browsers.

Package: browser-plugin-freshplayer-libpdf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PPAPI-host NPAPI-plugin adapter for libpdf.so from Chrome
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 This package allows one to use the libpdf.so plugin from Chrome
 in NPAPI web browsers.

Package: browser-plugin-freshplayer-nacl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PPAPI-host NPAPI-plugin adapter for Native Client from Chrome
 The main goal of the project is to get PPAPI (Chrome) plugins
 working in Firefox (and any other web-browser supporting NPAPI plugins).
 It implements a wrapper which behaves like
 browser to PPAPI plugin and implements NPAPI plugin interface
 for browser to use.
 .
 This particular implementation doesn't implement any sandboxing,
 which means any malicious code can break through plugin security
 as there are no additional barriers.  This is the same level of security as
 NPAPI Flash have.
 .
 This package allows one to use the Native Client plugin from Chrome
 (libppGoogleNaClPluginChrome.so) in NPAPI web browsers.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ --builddir build

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_LIBPDF=TRUE \
		-DWITH_NACL=TRUE \
		-DWITH_PEPPERFLASH=TRUE

override_dh_makeshlibs:
	# not invoking dh_makeshlibs: the generated library is private
	# no need to generate shlibs file nor ldconfig calls

## freshplayerplugin 0.3.2

=== debian/changelog ===
freshplayerplugin (0.3.2-1) unstable; urgency=medium

  * New upstream release (Closes: #796856)
    + should fix "FTBFS on big endian builds", fixed upstream (Closes: #794668)
  * Add "--as-needed" to linker flags (avoid unneeded library dependencies)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 25 Aug 2015 10:53:29 +0200

## freshplayerplugin 0.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,17 @@
 project(freshplayerplugin)
 cmake_minimum_required(VERSION 2.8.8)
 
+# version
+set(VER_MAJOR 0)
+set(VER_MINOR 3)
+set(VER_MICRO 4)
+
 # setup compiler flags
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -fPIC -fvisibility=hidden -pthread")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -fPIC -pthread")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=format-security")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=implicit-function-declaration")
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -fvisibility=hidden -pthread")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -fPIC -pthread")
 #set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror=format-security")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=implicit-function-declaration")
 
@@ -17,6 +22,16 @@
 # generate more debug info for Debug build type
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O0 -g3")
 set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O0 -g3")
+
+# directory for auto-generated headers
+include_directories("${CMAKE_BINARY_DIR}")
+
+# determine software version
+add_custom_target(git-revision ALL
+                  COMMAND sh "${CMAKE_SOURCE_DIR}/cmake/update-version-info.sh"
+                  "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" ${VER_MAJOR}
+                  ${VER_MINOR} ${VER_MICRO}
+                  WORKING_DIRECTORY "${CMAKE_BINARY_DIR}")
 
 # find Ragel
 find_program(RAGEL ragel)
@@ -35,7 +50,6 @@
     xrender
     xcursor
     gl
-    libconfig
     libdrm
     libevent
     libevent_pthreads
@@ -64,7 +78,7 @@
 list(APPEND REQ_LIBRARIES    ${GTK_LIBRARIES})
 
 # OpenGL ES 2
-set(WITH_GLES2 TRUE CACHE STRING "use system libGLESv2")
+set(WITH_GLES2 FALSE CACHE BOOLEAN "use system libGLESv2")
 if (WITH_GLES2)
     pkg_check_modules(GLES2 glesv2 REQUIRED)
     add_definitions(-DHAVE_GLES2=1)
@@ -117,7 +131,6 @@
     list(APPEND REQ_INCLUDE_DIRS ${HWDEC_INCLUDE_DIRS})
     list(APPEND REQ_LIBRARIES    ${HWDEC_LIBRARIES})
     add_subdirectory(cmake/ffmpeg-compat)
-    include_directories("${CMAKE_BINARY_DIR}")
 endif()
 
 # using libv4l2 for colorspace conversion
@@ -132,8 +145,6 @@
     add_definitions(-DHAVE_LIBV4L2=0)
 endif()
 
-list(APPEND REQ_LIBRARIES img-resources)
-
 include_directories(${REQ_INCLUDE_DIRS})
 link_directories(${REQ_LIBRARY_DIRS})
 add_definitions(${REQ_CFLAGS_OTHER})
@@ -145,6 +156,8 @@
     list(APPEND REQ_LIBRARIES shader_translator)
 endif()
 
+set(SYMBOLMAP "-Wl,-version-script=\"${CMAKE_SOURCE_DIR}/src/symbolmap\"")
+
 add_subdirectory(3rdparty)
 add_subdirectory(resources)
 add_subdirectory(src)

=== resources/CMakeLists.txt ===
set(GENERATED_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR} PARENT_SCOPE)
set(CCBD "${CMAKE_CURRENT_BINARY_DIR}")

set(text_resource_list
    "${CMAKE_CURRENT_SOURCE_DIR}/libpdf_frontend.js"
)

add_custom_command(
    OUTPUT "${CCBD}/txt_resources.h" "${CCBD}/txt_resources.c"
    COMMAND "${CCBD}/stringify_text" "${CCBD}/txt_resources.h" "${CCBD}/txt_resources.c"
            ${text_resource_list}
    DEPENDS ${text_resource_list} stringify_text
)

add_custom_target(txt-resource-srcs DEPENDS "${CCBD}/txt_resources.h" "${CCBD}/txt_resources.c")

add_executable(stringify_text stringify_text.c)

add_library(txt-resources STATIC "${CCBD}/txt_resources.c")
add_dependencies(txt-resources txt-resource-srcs)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,10 @@
 
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
 
+set(MOZPLUGIN_INSTALL_DIR "lib${LIB_SUFFIX}/mozilla/plugins/" CACHE PATH "plugin install directory")
+
 add_subdirectory(uri_parser)
+add_subdirectory(config_parser)
 
 include_directories("${GENERATED_INCLUDE_DIRS}")
 
@@ -13,6 +16,7 @@
     async_network.c
     audio_thread.c
     audio_thread_alsa.c
+    audio_thread_noaudio.c
     config.c
     compat.c
     font.c
@@ -24,6 +28,7 @@
     reverse_constant.c
     tables.c
     trace.c
+    trace_core.c
     n2p_proxy_class.c
     p2n_proxy_class.c
     pp_interface.c
@@ -64,7 +69,6 @@
     ppb_opengles2.c
     ppb_pdf.c
     ppb_printing.c
-    ppb_scrollbar.c
     ppb_tcp_socket.c
     ppb_text_input_controller.c
     ppb_text_input.c
@@ -77,9 +81,7 @@
     ppb_var.c
     ppb_video_capture.c
     ppb_view.c
-    ppb_widget.c
     ppb_x509_certificate.c
-    ppb_zoom.c
     screensaver_control.c
     x11_event_thread.c
 )
@@ -103,8 +105,11 @@
     add_definitions(-DHAVE_HWDEC=0)
 endif()
 
+add_executable(link_check link_check.c)
+target_link_libraries(link_check ${REQ_LIBRARIES})
+
 add_library(freshwrapper-obj OBJECT ${source_list})
-add_dependencies(freshwrapper-obj img-resources)
+add_dependencies(freshwrapper-obj link_check)
 
 # ensure libfreshwrapper-*.so are linked with all libraries they use
 add_executable(dep_check dep_check.c)
@@ -114,28 +119,43 @@
     $<TARGET_OBJECTS:freshwrapper-obj>
     $<TARGET_OBJECTS:parson-obj>
     $<TARGET_OBJECTS:uri-parser-obj>
+    $<TARGET_OBJECTS:config-parser-obj>
 )
 
 # wrapper for PepperFlash
 set(WITH_PEPPERFLASH TRUE CACHE STRING "generate wrapper for PepperFlash")
 if (WITH_PEPPERFLASH)
-    add_library(freshwrapper-pepperflash SHARED ${COMMON_OBJ_LIST} config_pepperflash.c)
-    target_link_libraries(freshwrapper-pepperflash ${REQ_LIBRARIES})
-    target_link_libraries(dep_check freshwrapper-pepperflash)
+    add_library(freshwrapper-flashplayer SHARED ${COMMON_OBJ_LIST} config_pepperflash.c)
+    target_link_libraries(freshwrapper-flashplayer ${SYMBOLMAP} ${REQ_LIBRARIES})
+    target_link_libraries(dep_check freshwrapper-flashplayer)
+    install(TARGETS freshwrapper-flashplayer DESTINATION ${MOZPLUGIN_INSTALL_DIR})
 endif()
 
 # wrapper for Native Client
 set(WITH_NACL FALSE CACHE STRING "generate wrapper for Native Client")
 if (WITH_NACL)
     add_library(freshwrapper-nacl SHARED ${COMMON_OBJ_LIST} config_nacl.c)
-    target_link_libraries(freshwrapper-nacl ${REQ_LIBRARIES})
+    target_link_libraries(freshwrapper-nacl ${SYMBOLMAP} ${REQ_LIBRARIES})
     target_link_libraries(dep_check freshwrapper-nacl)
+    install(TARGETS freshwrapper-nacl DESTINATION ${MOZPLUGIN_INSTALL_DIR})
 endif()
 
 # libpdf wrapper
 set(WITH_LIBPDF FALSE CACHE STRING "generate wrapper for libpdf.so")
 if (WITH_LIBPDF)
-    add_library(freshwrapper-libpdf SHARED ${COMMON_OBJ_LIST} config_libpdf.c)
-    target_link_libraries(freshwrapper-libpdf ${REQ_LIBRARIES})
-    target_link_libraries(dep_check freshwrapper-libpdf)
+    add_library(freshwrapper-libpdf-backend SHARED ${COMMON_OBJ_LIST} config_libpdf_backend.c)
+    target_link_libraries(freshwrapper-libpdf-backend ${SYMBOLMAP} ${REQ_LIBRARIES})
+    target_link_libraries(dep_check freshwrapper-libpdf-backend)
+
+    add_library(freshwrapper-libpdf-frontend SHARED
+                np_libpdf_frontend.c
+                trace_core.c
+                config.c
+                $<TARGET_OBJECTS:config-parser-obj>
+                config_libpdf_frontend.c)
+    target_link_libraries(freshwrapper-libpdf-frontend ${SYMBOLMAP} txt-resources)
+    target_link_libraries(dep_check freshwrapper-libpdf-frontend)
+
+    install(TARGETS freshwrapper-libpdf-frontend DESTINATION ${MOZPLUGIN_INSTALL_DIR})
+    install(TARGETS freshwrapper-libpdf-backend DESTINATION ${MOZPLUGIN_INSTALL_DIR})
 endif()

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,8 @@
     test_ppb_url_request_info
     test_ppb_x509_certificate
     test_uri_parser
+    test_ppb_net_address
+    test_config_parser
 )
 
 link_directories(
@@ -25,6 +27,7 @@
         $<TARGET_OBJECTS:freshwrapper-obj>
         $<TARGET_OBJECTS:parson-obj>
         $<TARGET_OBJECTS:uri-parser-obj>
+        $<TARGET_OBJECTS:config-parser-obj>
         ../src/config_pepperflash.c
         common.c)
     target_link_libraries(${item}

=== 3rdparty/angle/CMakeLists.txt ===
include_directories(include)
include_directories(src)

add_library(shader_translator STATIC
    src/common/Float16ToFloat32.cpp
    src/common/tls.cpp
    src/common/utilities.cpp
    src/compiler/preprocessor/DiagnosticsBase.cpp
    src/compiler/preprocessor/DirectiveHandlerBase.cpp
    src/compiler/preprocessor/DirectiveParser.cpp
    src/compiler/preprocessor/ExpressionParser.cpp
    src/compiler/preprocessor/Input.cpp
    src/compiler/preprocessor/Lexer.cpp
    src/compiler/preprocessor/Macro.cpp
    src/compiler/preprocessor/MacroExpander.cpp
    src/compiler/preprocessor/Preprocessor.cpp
    src/compiler/preprocessor/Token.cpp
    src/compiler/preprocessor/Tokenizer.cpp
    src/compiler/translator/BuiltInFunctionEmulator.cpp
    src/compiler/translator/BuiltInFunctionEmulatorGLSL.cpp
    src/compiler/translator/Cache.cpp
    src/compiler/translator/CallDAG.cpp
    src/compiler/translator/CodeGen.cpp
    src/compiler/translator/Compiler.cpp
    src/compiler/translator/Diagnostics.cpp
    src/compiler/translator/DirectiveHandler.cpp
    src/compiler/translator/EmulatePrecision.cpp
    src/compiler/translator/glslang_lex.cpp
    src/compiler/translator/glslang_tab.cpp
    src/compiler/translator/InfoSink.cpp
    src/compiler/translator/Initialize.cpp
    src/compiler/translator/InitializeDll.cpp
    src/compiler/translator/InitializeParseContext.cpp
    src/compiler/translator/Intermediate.cpp
    src/compiler/translator/intermOut.cpp
    src/compiler/translator/IntermNode.cpp
    src/compiler/translator/IntermTraverse.cpp
    src/compiler/translator/LoopInfo.cpp
    src/compiler/translator/Operator.cpp
    src/compiler/translator/OutputGLSLBase.cpp
    src/compiler/translator/OutputGLSL.cpp
    src/compiler/translator/parseConst.cpp
    src/compiler/translator/ParseContext.cpp
    src/compiler/translator/PoolAlloc.cpp
    src/compiler/translator/PruneEmptyDeclarations.cpp
    src/compiler/translator/RecordConstantPrecision.cpp
    src/compiler/translator/ShaderLang.cpp
    src/compiler/translator/SymbolTable.cpp
    src/compiler/translator/TranslatorGLSL.cpp
    src/compiler/translator/Types.cpp
    src/compiler/translator/util.cpp
    src/compiler/translator/ValidateGlobalInitializer.cpp
    src/compiler/translator/ValidateOutputs.cpp
    src/compiler/translator/ValidateSwitch.cpp
    src/compiler/translator/VersionGLSL.cpp
)

add_executable(st samples/shader_translator/shader_translator.cpp)
target_link_libraries(st shader_translator)

=== cmake/ffmpeg-compat/CMakeLists.txt ===
--- 
+++ 
@@ -34,4 +34,4 @@
 MACRO_SYMBOL_CHECK(av_frame_free "libavcodec/avcodec.h" HAVE_av_frame_free)
 MACRO_SYMBOL_CHECK(avcodec_free_context "libavcodec/avcodec.h" HAVE_avcodec_free_context)
 
-configure_file("ffmpeg-compat.h.in" "${CMAKE_BINARY_DIR}/ffmpeg-compat.h" @ONLY)
+configure_file("ffmpeg_compat.h.in" "${CMAKE_BINARY_DIR}/autogenerated_ffmpeg_compat.h" @ONLY)

=== src/config_parser/CMakeLists.txt ===
set(CONFIG_PARSER_FSM_C "${CMAKE_CURRENT_BINARY_DIR}/config_parser_fsm.c")
include_directories("${CMAKE_CURRENT_BINARY_DIR}")
add_custom_command(
    OUTPUT "${CONFIG_PARSER_FSM_C}"
    DEPENDS config_parser_fsm.rl.c
    COMMAND "${RAGEL}"
    ARGS    -G2 "${CMAKE_CURRENT_SOURCE_DIR}/config_parser_fsm.rl.c" -o "${CONFIG_PARSER_FSM_C}"
    VERBATIM
)

add_custom_target(generate-config-parser-fsm DEPENDS "${CONFIG_PARSER_FSM_C}")
add_library(config-parser-obj OBJECT
    config_parser.c
)

add_dependencies(config-parser-obj generate-config-parser-fsm)

=== debian/changelog ===
freshplayerplugin (0.3.4-3) unstable; urgency=medium

  * really add the /usr/lib/mozilla/plugins directory (Closes: #814652)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 15 Feb 2016 17:33:28 +0100

freshplayerplugin (0.3.4-2) unstable; urgency=medium

  * add the '/usr/lib/mozilla/plugins' (empty) directory in the
    browser-plugin-freshplayer-pepperflash package (Closes: #814652)

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 13 Feb 2016 23:48:15 +0100

freshplayerplugin (0.3.4-1) unstable; urgency=medium

  * New upstream release (Closes: #805263, #797827)
  * Implement the update-alternatives system for flash-mozilla.so
    like flashplugin-nonfree (Closes: #809432)

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 04 Feb 2016 21:58:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,44 @@
 Source: freshplayerplugin
+Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: contrib/web
+XS-Autobuild: yes
 Priority: optional
-Maintainer: Vincent Danjean <vdanjean@debian.org>
-Build-Depends: debhelper (>= 9), cmake,
- pkg-config, libglib2.0-dev, libasound2-dev, libx11-dev, libgl1-mesa-dev,
- liburiparser-dev, libcairo2-dev, libpango1.0-dev, libpangocairo-1.0-0,
- libpangoft2-1.0-0, libfreetype6-dev, libgtk2.0-dev, libxinerama-dev,
- libconfig-dev, libevent-dev, libegl1-mesa-dev, libgles2-mesa-dev, ragel,
- libssl-dev, libv4l-dev,
- libpulse-dev, libavcodec-dev, libavutil-dev, libva-dev, libvdpau-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               cmake,
+               pkg-config,
+               libglib2.0-dev,
+               libasound2-dev,
+               libx11-dev,
+               libgl1-mesa-dev,
+               liburiparser-dev,
+               libcairo2-dev,
+               libpango1.0-dev,
+               libpangocairo-1.0-0,
+               libpangoft2-1.0-0,
+               libfreetype6-dev,
+               libgtk2.0-dev,
+               libxinerama-dev,
+               libconfig-dev,
+               libevent-dev,
+               libegl1-mesa-dev,
+               libgles2-mesa-dev,
+               ragel,
+               libssl-dev,
+               libv4l-dev,
+               libpulse-dev,
+               libavcodec-dev,
+               libavutil-dev,
+               libva-dev,
+               libvdpau-dev
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/freshplayerplugin.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/freshplayerplugin.git
 Homepage: https://github.com/i-rinat/freshplayerplugin
-Vcs-Git: git://anonscm.debian.org/collab-maint/freshplayerplugin.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/freshplayerplugin.git
 
 Package: browser-plugin-freshplayer-pepperflash
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Recommends: pepperflashplugin-nonfree
 Description: PPAPI-host NPAPI-plugin adapter for pepperflash
  The main goal of the project is to get PPAPI (Chrome) plugins
@@ -39,7 +61,8 @@
 
 Package: browser-plugin-freshplayer-libpdf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: PPAPI-host NPAPI-plugin adapter for libpdf.so from Chrome
  The main goal of the project is to get PPAPI (Chrome) plugins
  working in Firefox (and any other web-browser supporting NPAPI plugins).
@@ -57,7 +80,8 @@
 
 Package: browser-plugin-freshplayer-nacl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: PPAPI-host NPAPI-plugin adapter for Native Client from Chrome
  The main goal of the project is to get PPAPI (Chrome) plugins
  working in Firefox (and any other web-browser supporting NPAPI plugins).

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # package maintainers to append CFLAGS
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
-#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 
 # main packaging script based on dh7 syntax

## freshplayerplugin 0.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # version
 set(VER_MAJOR 0)
 set(VER_MINOR 3)
-set(VER_MICRO 4)
+set(VER_MICRO 5)
 
 # setup compiler flags
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -fPIC -pthread")
@@ -41,9 +41,9 @@
 
 # dependencies
 find_package(PkgConfig REQUIRED)
+pkg_check_modules(GLIB glib-2.0 REQUIRED)
 pkg_check_modules(REQ
     alsa
-    glib-2.0
     gio-2.0
     x11
     xrandr
@@ -60,6 +60,11 @@
     freetype2
     openssl
     REQUIRED)
+
+# merge glib-2.0
+list(APPEND REQ_LIBRARY_DIRS ${GLIB_LIBRARY_DIRS})
+list(APPEND REQ_INCLUDE_DIRS ${GLIB_INCLUDE_DIRS})
+list(APPEND REQ_LIBRARIES    ${GLIB_LIBRARIES})
 
 # libdl.so, librt.so, and libm.so
 list(APPEND REQ_LIBRARIES dl rt m)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
 
-set(MOZPLUGIN_INSTALL_DIR "lib${LIB_SUFFIX}/mozilla/plugins/" CACHE PATH "plugin install directory")
+set(MOZPLUGIN_INSTALL_DIR "lib${LIB_SUFFIX}/mozilla/plugins/" CACHE STRING "plugin install directory")
 
 add_subdirectory(uri_parser)
 add_subdirectory(config_parser)
@@ -153,7 +153,7 @@
                 config.c
                 $<TARGET_OBJECTS:config-parser-obj>
                 config_libpdf_frontend.c)
-    target_link_libraries(freshwrapper-libpdf-frontend ${SYMBOLMAP} txt-resources)
+    target_link_libraries(freshwrapper-libpdf-frontend ${SYMBOLMAP} txt-resources ${GLIB_LIBRARIES})
     target_link_libraries(dep_check freshwrapper-libpdf-frontend)
 
     install(TARGETS freshwrapper-libpdf-frontend DESTINATION ${MOZPLUGIN_INSTALL_DIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
     test_uri_parser
     test_ppb_net_address
     test_config_parser
+    test_thread_specifier
 )
 
 link_directories(

=== debian/changelog ===
freshplayerplugin (0.3.5-1ubuntu7) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:41:35 +0000

freshplayerplugin (0.3.5-1ubuntu6) bionic; urgency=medium

  * No-change rebuild against latest libva

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Nov 2017 19:27:37 -0400

freshplayerplugin (0.3.5-1ubuntu5) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 03 Aug 2017 22:08:18 +0000

freshplayerplugin (0.3.5-1ubuntu4) zesty; urgency=medium

  * d/*.postinst, d/*.preinst, d/*.prerm:
    - Use the same alternative as the adobe-flashplugin package to
      prevent confusion with the NPAPI plugin installed by
      adobe-flashplugin (LP: #1633678).
      Thanks to Alin Andrei for the solution!
  * d/control:
    - Drop the pepperflashplugin-nonfree recommend.
    - Recommend adobe-flashplugin.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 28 Oct 2016 23:00:00 +0200

freshplayerplugin (0.3.5-1ubuntu3) yakkety; urgency=medium

  * Really revert build-dependency on libjack-dev.
  * Run tests with LC_ALL=C (LP: #1578252).
  * Enforce tests again.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 17:46:08 +0100

freshplayerplugin (0.3.5-1ubuntu2) yakkety; urgency=medium

  * Revert last change.
  * Ignore test results, failing on the buildds. LP: #1578252.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:47:28 +0200

freshplayerplugin (0.3.5-1ubuntu1) yakkety; urgency=medium

  * Build-depend on libjack-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:22:11 +0200

freshplayerplugin (0.3.5-1) unstable; urgency=medium

  * New upstream release

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 03 May 2016 09:47:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: freshplayerplugin
-Maintainer: Vincent Danjean <vdanjean@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Vincent Danjean <vdanjean@debian.org>
 Section: contrib/web
 XS-Autobuild: yes
 Priority: optional
@@ -39,7 +40,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: pepperflashplugin-nonfree
+Recommends: adobe-flashplugin
 Description: PPAPI-host NPAPI-plugin adapter for pepperflash
  The main goal of the project is to get PPAPI (Chrome) plugins
  working in Firefox (and any other web-browser supporting NPAPI plugins).

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
@@ -33,6 +34,9 @@
 		-DWITH_NACL=TRUE \
 		-DWITH_PEPPERFLASH=TRUE
 
+override_dh_auto_test:
+	LC_ALL=C dh_auto_test
+
 override_dh_makeshlibs:
 	# not invoking dh_makeshlibs: the generated library is private
 	# no need to generate shlibs file nor ldconfig calls

=== debian/watch ===
version=3
https://github.com/i-rinat/freshplayerplugin/releases .*/v(.*)\.tar\.gz
